com.tibco.n2.service.adapter

## Class ServiceAdapterConfig

- java.lang.Object
- - com.tibco.n2.service.adapter.ServiceAdapterConfig

-     public class ServiceAdapterConfig
      extends java.lang.Object

  Service Adapter Configuration class

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ServiceAdapterConfig()` Default Constructor for ServiceAdapterConfig class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `buildBaseUrl(Configuration.Protocol protocol, java.lang.String host, int port)`
    `protected org.springframework.context.ApplicationContext` | `getApplicationContext()` Returns the Spring context
    `protected <R> R` | `getBean(java.lang.String aBeanName)`
    `protected java.lang.String[]` | `getEnvironmentSpecificConfigFile()` If the service connector if present then load it's wrapper XML.
    `ResourceFactory` | `getResourceFactory()`
    `ServiceAdapterFactory` | `getServiceAdapterFactory()` Get ServiceAdapterFactory object
    `protected void` | `init(Configuration config)`
    `protected void` | `init(ResourceFactory aResourceFactory)` Load the Spring configuration files
    `boolean` | `isInitialised()`
    `void` | `term()` Unload the Spring configuration files

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceAdapterConfig

          protected ServiceAdapterConfig()

      Default Constructor for ServiceAdapterConfig class.

  - ### Method Detail

    - #### isInitialised

          public boolean isInitialised()

    - #### init

          protected void init(ResourceFactory aResourceFactory)
                       throws ConfigurationException

      Load the Spring configuration files
      Throws:
        `ConfigurationException`

    - #### init

          protected void init(Configuration config)
                       throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### getResourceFactory

          public ResourceFactory getResourceFactory()

    - #### term

          public void term()

      Unload the Spring configuration files

    - #### getServiceAdapterFactory

          public ServiceAdapterFactory getServiceAdapterFactory()

      Get ServiceAdapterFactory object
      Returns:

    - #### getApplicationContext

          protected org.springframework.context.ApplicationContext getApplicationContext()

      Returns the Spring context
      Returns:

    - #### getBean

          protected <R> R getBean(java.lang.String aBeanName)

    - #### getEnvironmentSpecificConfigFile

          protected java.lang.String[] getEnvironmentSpecificConfigFile()

      If the service connector if present then load it's wrapper XML.
      Returns:

    - #### buildBaseUrl

          protected java.lang.String buildBaseUrl(Configuration.Protocol protocol,
                                                  java.lang.String host,
                                                  int port)
                                           throws ConfigurationException

      Throws:
        `ConfigurationException`

Copyright © 2018 TIBCO Software Inc. All Rights Reserved.